org.firebirdsql.jdbc.field

## Interface FBFlushableField

All Known Implementing Classes:
  FBLongVarCharField

    public interface FBFlushableField

Instances of this field cache data in auto-commit case if no transaction is yet available and must be flushed before transaction is committed.

Version:
  1.0
Author:
  Roman Rokytskyy

### Nested Class Summary

Nested Classes
`static class` `FBFlushableField.CachedObject`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `flushCachedData()` Flush cached data to the database server.
`byte[]` `getCachedData()` Get cached data.
`FBFlushableField.CachedObject` `getCachedObject()`
`void` `setCachedObject(FBFlushableField.CachedObject cachedObject)`

### Method Detail

#### flushCachedData

    void flushCachedData()
                  throws java.sql.SQLException

Flush cached data to the database server.

Throws:
  `java.sql.SQLException` - if something went wrong.

#### getCachedData

    byte[] getCachedData()
                  throws java.sql.SQLException

Get cached data.

Returns:
  cached object of this field.
Throws:
  `java.sql.SQLException` - if something went wrong.

#### getCachedObject

    FBFlushableField.CachedObject getCachedObject()
                                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setCachedObject

    void setCachedObject(FBFlushableField.CachedObject cachedObject)
                  throws java.sql.SQLException

Throws:
  `java.sql.SQLException`